Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class InverseGaussianDist

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.InverseGaussianDist

All Implemented Interfaces:
  Distribution

    public class InverseGaussianDist

extends ContinuousDistribution

Extends the class `ContinuousDistribution` for the inverse Gaussian distribution with location parameter μ > 0 and scale parameter λ > 0. Its density is

f (x) = (λ/ (2πx^3))1/2e-λ(x-μ)2/(2μ2x), for x > 0.

The distribution function is given by

F(x) = Φ((λ/x)1/2(x/μ -1)) + e2λ/μΦ(- (λ/x)1/2(x/μ + 1)),

where Φ is the standard normal distribution function.

The non-static versions of the methods `cdf`, `barF`, and `inverseF` call the static version of the same name.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`InverseGaussianDist(double mu, double lambda)` Constructs the inverse Gaussian distribution with parameters μ and λ.

Method Summary
`double` | `barF(double x)` Returns the complementary distribution function.
`static double` | `barF(double mu, double lambda, double x)` Computes the complementary distribution function of the inverse gaussian distribution with parameters μ and λ, evaluated at x.
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(double mu, double lambda, double x)` Computes the distribution function of the inverse gaussian distribution with parameters μ and λ, evaluated at x.
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(double mu, double lambda, double x)` Computes the density function for the inverse gaussian distribution with parameters μ and λ, evaluated at x.
`static InverseGaussianDist` | `getInstanceFromMLE(double[] x, int n)` Creates a new instance of an inverse gaussian distribution with parameters μ and λ estimated using the maximum likelihood method based on the n observations x[i], i = 0, 1,…, n - 1.
`double` | `getLambda()` Returns the parameter λ of this object.
`static double[]` | `getMaximumLikelihoodEstimate(double[] x, int n)` Deprecated.
`double` | `getMean()` Returns the mean.
`static double` | `getMean(double mu, double lambda)` Returns the mean E[X] = μ of the inverse gaussian distribution with parameters μ and λ.
`static double[]` | `getMLE(double[] x, int n)` Estimates the parameters (μ, λ) of the inverse gaussian distribution using the maximum likelihood method, from the n observations x[i], i = 0, 1,…, n - 1.
`double` | `getMu()` Returns the parameter μ of this object.
`double[]` | `getParams()` Return a table containing the parameters of the current distribution.
`double` | `getStandardDeviation()` Returns the standard deviation.
`static double` | `getStandardDeviation(double mu, double lambda)` Computes and returns the standard deviation of the inverse gaussian distribution with parameters μ and λ.
`double` | `getVariance()` Returns the variance.
`static double` | `getVariance(double mu, double lambda)` Computes and returns the variance Var[X] = μ3/λ of the inverse gaussian distribution with parameters μ and λ.
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(double mu, double lambda, double u)` Computes the inverse of the inverse gaussian distribution with parameters μ and λ.
`void` | `setParams(double mu, double lambda)` Sets the parameters μ and λ of this object.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InverseGaussianDist

    public InverseGaussianDist(double mu,
                               double lambda)

  Constructs the inverse Gaussian distribution with parameters μ and λ.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Specified by:
    `density` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### barF

    public double barF(double x)

  Description copied from class: `ContinuousDistribution`
  Returns the complementary distribution function. The default implementation computes bar(F)(x) = 1 - F(x), which is not accurate when F(x) -> 1.

  Specified by:
    `barF` in interface `Distribution`
  Overrides:
    `barF` in class `ContinuousDistribution`
  Parameters:
    `x` - value at which the complementary distribution function is evaluated
  Returns:
    complementary distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `ContinuousDistribution`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### getMean

    public double getMean()

  Description copied from class: `ContinuousDistribution`
  Returns the mean.

  Specified by:
    `getMean` in interface `Distribution`
  Overrides:
    `getMean` in class `ContinuousDistribution`
  Returns:
    the mean

### getVariance

    public double getVariance()

  Description copied from class: `ContinuousDistribution`
  Returns the variance.

  Specified by:
    `getVariance` in interface `Distribution`
  Overrides:
    `getVariance` in class `ContinuousDistribution`
  Returns:
    the variance

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from class: `ContinuousDistribution`
  Returns the standard deviation.

  Specified by:
    `getStandardDeviation` in interface `Distribution`
  Overrides:
    `getStandardDeviation` in class `ContinuousDistribution`
  Returns:
    the standard deviation

### density

    public static double density(double mu,
                                 double lambda,
                                 double x)

  Computes the density function for the inverse gaussian distribution with parameters μ and λ, evaluated at x.

### cdf

    public static double cdf(double mu,
                             double lambda,
                             double x)

  Computes the distribution function of the inverse gaussian distribution with parameters μ and λ, evaluated at x.

### barF

    public static double barF(double mu,
                              double lambda,
                              double x)

  Computes the complementary distribution function of the inverse gaussian distribution with parameters μ and λ, evaluated at x.

### inverseF

    public static double inverseF(double mu,
                                  double lambda,
                                  double u)

  Computes the inverse of the inverse gaussian distribution with parameters μ and λ.

### getMLE

    public static double[] getMLE(double[] x,
                                  int n)

  Estimates the parameters (μ, λ) of the inverse gaussian distribution using the maximum likelihood method, from the n observations x[i], i = 0, 1,…, n - 1. The estimates are returned in a two-element array, in regular order: [μ, λ].

  Parameters:
    `x` - the list of observations used to evaluate parameters
    `n` - the number of observations used to evaluate parameters
  Returns:
    returns the parameters [hat(μ), hat(λ)]

### getMaximumLikelihoodEstimate

    @Deprecated
    public static double[] getMaximumLikelihoodEstimate(double[] x,
                                                                   int n)

  Deprecated.

  Same as `getMLE`.

### getInstanceFromMLE

    public static InverseGaussianDist getInstanceFromMLE(double[] x,
                                                         int n)

  Creates a new instance of an inverse gaussian distribution with parameters μ and λ estimated using the maximum likelihood method based on the n observations x[i], i = 0, 1,…, n - 1.

  Parameters:
    `x` - the list of observations to use to evaluate parameters
    `n` - the number of observations to use to evaluate parameters

### getMean

    public static double getMean(double mu,
                                 double lambda)

  Returns the mean E[X] = μ of the inverse gaussian distribution with parameters μ and λ.

  Returns:
    the mean of the inverse gaussian distribution E[X] = μ

### getVariance

    public static double getVariance(double mu,
                                     double lambda)

  Computes and returns the variance Var[X] = μ3/λ of the inverse gaussian distribution with parameters μ and λ.

  Returns:
    the variance of the inverse gaussian distribution Var[X] = μ3/λ

### getStandardDeviation

    public static double getStandardDeviation(double mu,
                                              double lambda)

  Computes and returns the standard deviation of the inverse gaussian distribution with parameters μ and λ.

  Returns:
    the standard deviation of the inverse gaussian distribution

### getLambda

    public double getLambda()

  Returns the parameter λ of this object.

### getMu

    public double getMu()

  Returns the parameter μ of this object.

### setParams

    public void setParams(double mu,
                          double lambda)

  Sets the parameters μ and λ of this object.

### getParams

    public double[] getParams()

  Return a table containing the parameters of the current distribution. This table is put in regular order: [μ, λ].

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.